Bug 1234846 - GlusterD does not store updated peerinfo objects.
Summary: GlusterD does not store updated peerinfo objects.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.6.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Kaushal
QA Contact:
URL:
Whiteboard:
Depends On: 1234842
Blocks: glusterfs-3.6.4
TreeView+ depends on / blocked
 
Reported: 2015-06-23 11:31 UTC by Kaushal
Modified: 2015-12-04 08:44 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.6.4
Doc Type: Bug Fix
Doc Text:
Clone Of: 1234842
Environment:
Last Closed: 2015-12-04 08:44:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaushal 2015-06-23 11:31:07 UTC
+++ This bug was initially created as a clone of Bug #1234842 +++

During a friend update, if glusterd updated the hostnames of a peerinfo object, it wouldn't store the updated peerinfo object. This could cause brick resolution to fail on glusterd restart if the bricks used hostname from the newly added hostnames.

Comment 1 Anand Avati 2015-06-25 05:32:39 UTC
REVIEW: http://review.gluster.org/11395 (glusterd: Store peerinfo after updating hostnames) posted (#1) for review on release-3.6 by Kaushal M (kaushal@redhat.com)

Comment 2 Anand Avati 2015-06-27 04:12:03 UTC
REVIEW: http://review.gluster.org/11395 (glusterd: Store peerinfo after updating hostnames) posted (#2) for review on release-3.6 by Kaushal M (kaushal@redhat.com)

Comment 3 Anand Avati 2015-07-10 07:29:47 UTC
COMMIT: http://review.gluster.org/11395 committed in release-3.6 by Raghavendra Bhat (raghavendra@redhat.com) 
------
commit d35d7c1bf986cacb65da912123b9a34ebe946bef
Author: Kaushal M <kaushal@redhat.com>
Date:   Tue Jun 23 15:40:59 2015 +0530

    glusterd: Store peerinfo after updating hostnames
    
      Backport of https://review.gluster.org/11365
    
    Change-Id: I1d36ac63de810061d60edb28b6f591ae45d5cd3a
    BUG: 1234846
    Signed-off-by: Kaushal M <kaushal@redhat.com>
    Reviewed-on: http://review.gluster.org/11395
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.